|  | Home | Documentation | saml2__ConditionsType::__saml2__union_ConditionsType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__ConditionsType::__saml2__union_ConditionsType Struct Reference

`#include <saml2.h>`

Collaboration diagram for saml2__ConditionsType::__saml2__union_ConditionsType:
[legend]

## Public Attributes
struct saml2__ConditionAbstractType *saml2__Condition | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Condition. More...
struct saml2__AudienceRestrictionType *saml2__AudienceRestriction | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AudienceRestriction. More...
struct saml2__OneTimeUseType *saml2__OneTimeUse | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":OneTimeUse. More...
struct saml2__ProxyRestrictionType *saml2__ProxyRestriction | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":ProxyRestriction. More...

## Member Data Documentation

struct saml2__ConditionAbstractType* saml2__Condition saml2__ConditionsType::__saml2__union_ConditionsType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Condition.

Required nillable (xsi:nil when NULL) element.

struct saml2__AudienceRestrictionType* saml2__AudienceRestriction saml2__ConditionsType::__saml2__union_ConditionsType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AudienceRestriction.

Required nillable (xsi:nil when NULL) element.

struct saml2__OneTimeUseType* saml2__OneTimeUse saml2__ConditionsType::__saml2__union_ConditionsType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":OneTimeUse.

Required nillable (xsi:nil when NULL) element.

struct saml2__ProxyRestrictionType* saml2__ProxyRestriction saml2__ConditionsType::__saml2__union_ConditionsType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":ProxyRestriction.

Required nillable (xsi:nil when NULL) element.

The documentation for this struct was generated from the following file:

- saml2.h